Bug 1005502 - snappy-java 1.0.4.1 includes prebuilt binaries
snappy-java 1.0.4.1 includes prebuilt binaries
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: snappy-java (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ricardo Arguello
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-07 12:54 EDT by gil cattaneo
Modified: 2015-02-17 12:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:06:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
remove included pre built libraries and classes and build jni library (8.97 KB, application/x-octet-stream)
2013-10-14 11:09 EDT, gil cattaneo
no flags Details
remove included pre built libraries and classes and build jni library (10.70 KB, application/x-octet-stream)
2013-10-14 12:02 EDT, gil cattaneo
no flags Details
remove included pre built libraries and classes and build jni library (10.70 KB, application/x-octet-stream)
2013-10-14 13:09 EDT, gil cattaneo
no flags Details
arm build (157.19 KB, text/x-log)
2013-10-14 13:10 EDT, gil cattaneo
no flags Details
use system CXXFLAGS on Linux (2.39 KB, patch)
2013-10-14 13:17 EDT, Kyle McMartin
no flags Details | Diff
remove included pre built libraries and classes and build jni library (15.10 KB, application/x-octet-stream)
2013-10-14 13:57 EDT, gil cattaneo
no flags Details

  None (edit)
Description gil cattaneo 2013-09-07 12:54:51 EDT
Description of problem:
snappy-java build doesn'αΊ— actually build binaries but ships the ones included in the unclean upstream tarball.

Version-Release number of selected component (if applicable):
1.0.4.1

How reproducible:
always

Steps to Reproduce:
run
find snappy-java-1.0.4.1/ -name "*.class" -print -delete
find snappy-java-1.0.4.1/ -name "*.jnilib" -print -delete
find snappy-java-1.0.4.1/ -name "*.jar" -print -delete
find snappy-java-1.0.4.1/ -name "*.dll" -print -delete
find snappy-java-1.0.4.1/ -name "*.so" -print -delete

thanks
Comment 1 gil cattaneo 2013-10-14 11:09:12 EDT
Created attachment 812075 [details]
remove included pre built libraries and classes and build jni library

- fix rhbz#991990
- switch to XMvn
- resolve some rpmlint problems
- use pom macros
- minor changes to adapt to current guideline
- remove jboss-logging references, not more required
- remove included pre built libraries and classes
- build jni library

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6058879

NOTE: this version not support arm arches, maybe you should add Excludearch: arm...
Comment 2 gil cattaneo 2013-10-14 12:02:09 EDT
Created attachment 812096 [details]
remove included pre built libraries and classes and build jni library

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6059083

try to fix arm jni build
but i have these problem:

     [exec] touch target/snappy-extracted.log
     [exec] g++ -Ilib/inc_linux -I/usr/lib/jvm/java/include -O2 -fPIC -fvisibility=hidden -mfloat-abi=softfp  "-Ilib/include"   -I"/usr/lib/jvm/java/include/linux" -Itarget/snappy-1.0.4 -c src/main/java/org/xerial/snappy/SnappyNative.cpp -o target/snappy-1.0.4-Linux-arm/SnappyNative.o
     [exec] g++ -Ilib/inc_linux -I/usr/lib/jvm/java/include -O2 -fPIC -fvisibility=hidden -mfloat-abi=softfp  "-Ilib/include"   -I"/usr/lib/jvm/java/include/linux" -Itarget/snappy-1.0.4 -c target/snappy-1.0.4/snappy-sinksource.cc -o target/snappy-1.0.4-Linux-arm/snappy-sinksource.o 
     [exec] g++ -Ilib/inc_linux -I/usr/lib/jvm/java/include -O2 -fPIC -fvisibility=hidden -mfloat-abi=softfp  "-Ilib/include"   -I"/usr/lib/jvm/java/include/linux" -Itarget/snappy-1.0.4 -c target/snappy-1.0.4/snappy-stubs-internal.cc -o target/snappy-1.0.4-Linux-arm/snappy-stubs-internal.o 
     [exec] g++ -Ilib/inc_linux -I/usr/lib/jvm/java/include -O2 -fPIC -fvisibility=hidden -mfloat-abi=softfp  "-Ilib/include"   -I"/usr/lib/jvm/java/include/linux" -Itarget/snappy-1.0.4 -c target/snappy-1.0.4/snappy.cc -o target/snappy-1.0.4-Linux-arm/snappy.o 
     [exec] In file included from /usr/include/features.h:388:0,
     [exec]                  from /usr/include/c++/4.8.1/armv7hl-redhat-linux-gnueabi/bits/os_defines.h:39,
     [exec]                  from /usr/include/c++/4.8.1/armv7hl-redhat-linux-gnueabi/bits/c++config.h:426,
     [exec]                  from /usr/include/c++/4.8.1/string:38,
     [exec]                  from src/main/java/org/xerial/snappy/SnappyNative.cpp:16:
     [exec] /usr/include/gnu/stubs.h:7:29: fatal error: gnu/stubs-soft.h: No such file or directory
     [exec]  # include <gnu/stubs-soft.h>
     [exec]                              ^
     [exec] compilation terminated.
     [exec] In file included from /usr/include/features.h:388:0,
     [exec]                  from /usr/include/c++/4.8.1/armv7hl-redhat-linux-gnueabi/bits/os_defines.h:39,
     [exec]                  from /usr/include/c++/4.8.1/armv7hl-redhat-linux-gnueabi/bits/c++config.h:426,
     [exec]                  from /usr/include/c++/4.8.1/utility:68,
     [exec]                  from /usr/include/c++/4.8.1/algorithm:60,
     [exec]                  from target/snappy-1.0.4/snappy-stubs-internal.cc:29:
     [exec] /usr/include/gnu/stubs.h:7:29: fatal error: gnu/stubs-soft.h: No such file or directory
     [exec]  # include <gnu/stubs-soft.h>
     [exec]                              ^
     [exec] compilation terminated.
     [exec] In file included from /usr/include/features.h:388:0,
     [exec]                  from /usr/include/string.h:25,
     [exec]                  from target/snappy-1.0.4/snappy-sinksource.cc:29:
     [exec] /usr/include/gnu/stubs.h:7:29: fatal error: gnu/stubs-soft.h: No such file or directory
     [exec]  # include <gnu/stubs-soft.h>
     [exec]                              ^
     [exec] compilation terminated.
     [exec] In file included from /usr/include/features.h:388:0,
     [exec]                  from /usr/include/c++/4.8.1/armv7hl-redhat-linux-gnueabi/bits/os_defines.h:39,
     [exec]                  from /usr/include/c++/4.8.1/armv7hl-redhat-linux-gnueabi/bits/c++config.h:426,
     [exec]                  from /usr/include/c++/4.8.1/string:38,
     [exec]                  from target/snappy-1.0.4/snappy.h:43,
     [exec]                  from target/snappy-1.0.4/snappy.cc:29:
     [exec] /usr/include/gnu/stubs.h:7:29: fatal error: gnu/stubs-soft.h: No such file or directory
     [exec]  # include <gnu/stubs-soft.h>
     [exec]                              ^
     [exec] compilation terminated.
     [exec] make: *** [target/snappy-1.0.4-Linux-arm/snappy-stubs-internal.o] Error 1
     [exec] make: *** Waiting for unfinished jobs....
     [exec] make: *** [target/snappy-1.0.4-Linux-arm/snappy.o] Error 1
     [exec] make: *** [target/snappy-1.0.4-Linux-arm/snappy-sinksource.o] Error 1
     [exec] make: *** [target/snappy-1.0.4-Linux-arm/SnappyNative.o] Error 1
     [exec] Result: 2

any ideas?
regards
Comment 3 gil cattaneo 2013-10-14 13:09:41 EDT
Created attachment 812120 [details]
remove included pre built libraries and classes and build jni library

solved jni build on arm arch
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6059319
Comment 4 gil cattaneo 2013-10-14 13:10:28 EDT
Created attachment 812121 [details]
arm build
Comment 5 Kyle McMartin 2013-10-14 13:17:30 EDT
Created attachment 812125 [details]
use system CXXFLAGS on Linux

patch on top of previous patch to use CXXFLAGS on Linux.
Comment 6 gil cattaneo 2013-10-14 13:57:52 EDT
Created attachment 812141 [details]
remove included pre built libraries and classes and build jni library

- patched src/main/java/org/xerial/snappy/OSInfo.java to support more arches

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=6059456
Comment 7 Fedora End Of Life 2015-01-09 14:46:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 12:06:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.